/* definitions for hl.h   */
/* %W% last mod on %G% at %U% */
/* Full SCCS path name: (%P%) */

#ifndef __hl_h
#define __hl_h

#ifdef DOS

/************************************************************************
	sonnet.128 File format:
	READ ONLY LOCATIONS: 0-47
	READ/WRITE ONLY LOCATIONS: 48-63

	WORD	NAME		LENGTH	DESCRIPTION
				(words)
	0	VERSION		1	Version of hardward key
	1	HOSTID		4	Host id
	5	ORIG_TIME	2	Time the hardlock key was programmed
	7	SN		1	Serial number, uniq to each key.
					Assigned automatically.
	8	CUSTOMER	10	Sonnet Customer id
	30	512		1	Value: 512 - used in em in the 
					subsectioning section
	31	101		1	Value: 101 - used in em in emhh.c
	32	1023		1	Value: 1023  - Not used
	33	512		1	Value: 255 - used in em in empoly.c
	34	80		1	Value: 80  - Not used
	35	1619		1	Value: 17*19*5+4 - Not used
	36	8232		1	Value: (17*(5*13+4)+3)*7 - used
					       in em in eman.c
	37	47		1	Value: 47 - noted used
	38	314		1	Value: 314 - noted used
	39	3096		1	Value: 3096 - noted used

	WRITABLE AREA:
 	--------------
	48	ENABLE		1	Tell if hardlock key is enabled or
					not.
	49	SET_CLOCK_BACK	1	Number of times dos time clock was set
	50	UPDATE_TIME	2	Last time the hardlock was accessed
	52	SET_BACK	2	Last time that the clock was set back
					new time may not be less than the last
					set back time.
	54	DISABLE_REASON	1	Reason why the key was disabled.
	55	ACCESS_COUNT	1	Count of the number of time hl
					has been written into.  Maximum write
					limit is 10,000 for hardlock. (7/93)
					This value will give us an idea if
					there has been too many writes done.
					Once it exceeds 10000 then ACCESS_COUNT2
					begins to be incremented
	56	ACCESS_COUNT2	1	Count of number of times hl has been
					written into after 10000 times.
	57	END_TIME	2	The end time that em ran last.
	59	HL_HLWORD	1	HLword
	60	UNKNOWN_TIME	2	Not used

************************************************************************/

/* Location in memory */
#define HL_LOC_VERSION		0
#define HL_LOC_HOSTID		1
#define HL_LOC_ORIG_TIME	5
#define HL_LOC_SN		7
#define HL_LOC_CUSTOMER		8
#define HL_LOC_512		30
#define HL_LOC_101		31
#define HL_LOC_1023		32
#define HL_LOC_256		33
#define HL_LOC_80		34
#define HL_LOC_1619		35
#define HL_LOC_8232		36
#define HL_LOC_47		37
#define HL_LOC_314		38
#define HL_LOC_3096		39
#define HL_LOC_CHECK_SUM	47	/* check sum locations 30-46 */

#define HL_LOC_ENABLE		48
#define HL_LOC_SET_CLOCK_BACK	49
#define HL_LOC_UPDATE_TIME	50
#define HL_LOC_SET_BACK_TIME	52
#define HL_LOC_DISABLE_REASON	54
#define HL_LOC_ACCESS_COUNT	55
#define HL_LOC_ACCESS_COUNT2	56
#define HL_LOC_END_TIME		57
#define HL_LOC_HLWORD		59
#define HL_LOC_UNKNOWN_TIME	60

#define HL_HOSTID_LEN		4	/* 8 total characters	*/
#define HL_CUSTOMER_LEN		10	/* 20 total charcters	*/
					/* Needs two words	*/

#define HL_VERSION_NUMBER	24
#define HL_DISABLE		1
#define HL_ENABLE		2
#define HL_ADDRESS		11150

#define	HL_CMD_ENABLE		1
#define	HL_CMD_PRINT		2
#define	HL_CMD_DUMP		4


#undef  TRUE
#define TRUE	-1
#undef  FALSE
#define FALSE	0

/* Reasons for key to be disabled */
#define	KEY_ENABLED		1	/* Key is enabled		   */
#define KEY_CONT_SET_BACK	2	/* The clock was set back more than*/
					/* 4 times in a row 		   */
#define	KEY_CLOCK_RESET_TWICE	3	/* The clock was set back less	   */
					/* than 7 days, then was set back  */
					/* again, but this time it was set */
					/* back to a time earlier than the */
					/* previous set back time	   */
#define KEY_NO_CHANGE		99	/* Key status should not be chagned*/

#endif /* DOS */
#endif /* __hl_h */
